// TODO BETTER
.image-overlay {
    display: flex;
    flex: 1 auto;
    flex-direction: column;

    width: calc(100vw - (100vw - 100%)); // Full page without scrollbars
    height: 100vh;

    position: fixed;
    top: 0;
    left: 0;
    background-color: #080014b4;

    opacity: 0;
    visibility: hidden;
    transition: opacity var(--transitions-duration);

    &-inner {
        display: flex;
        flex-direction: column;
        flex: 1 auto;
        justify-content: center;
        align-items: center;
    }

    &-content-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin: 0.2em;

        &-item {
            margin: 0 1em;
        }

        a.image-overlay-content-header-item {
            color: inherit;

            svg {
                width: 2em;
                height: 2em;
            }
        }
    }
}
